#include <iostream>
#include <string.h>

using namespace std;

int mis(string s)
{
    int br=0;
    int p=1,q=p+1,n=s.size()-1,p1,q1,poc=0;
    while(p<=n-2 && q<=n-1)
    {
        if(s[p]==s[q])
        {
            br++;
            p1=p-1;
            q1=q+1;
            while(p1>=poc && q1<=n)
            {
                if(s[p1]==s[q1])
                {
                    br++;

                }

                p1--;
                q1++;
            }
            poc=p;
            p++;
            q++;
        }
        else
        {

            p1=p-1;
            q1=q+1;
            while(p1>=poc && q1<=n)
            {
                if(s[p1]==s[q1])
                {
                    br++;
                }

                p1--;
                q1++;
            }
            poc=p;
            p++;
            q++;
            }



    }
    return br;
}

int main()
{
    string s;
    cin>>s;
    cout<<mis(s);
    return 0;
}